#
#  this is a part of Merlin3 and newnigma2 Image
#
# Coded by Dr.Best (c) 2012
# Support: www.dreambox-tools.info
# E-Mail: dr.best@dreambox-tools.info
#
# This plugin is open source but it is NOT free software.
#
# This plugin may only be distributed to and executed on hardware which
# is licensed by Dream Multimedia GmbH.
# In other words:
# It's NOT allowed to distribute any parts of this plugin or its source code in ANY way
# to hardware which is NOT licensed by Dream Multimedia GmbH.
# It's NOT allowed to execute this plugin and its source code or even parts of it in ANY way
# on hardware which is NOT licensed by Dream Multimedia GmbH.
#
# If you want to use or modify the code or parts of it,
# you have to keep MY license and inform me about the modifications by mail.
#

from Plugins.Plugin import PluginDescriptor
from Components.config import config, ConfigBoolean
from UninstallLanguageWizard import UninstallLanguageWizard
from LanguageSelectionManager import LanguageManagerLanguageSelection_Init
config.misc.firstrun = ConfigBoolean(default = True)

def autostart(*args, **kwargs):
	LanguageManagerLanguageSelection_Init()

def runWizard(*args, **kwargs):
	return UninstallLanguageWizard(*args, **kwargs)

def Plugins(**kwargs):
	list = []
	if config.misc.firstrun.value:
		list.append(PluginDescriptor(name=_("Uninstall Language Wizard"), where = PluginDescriptor.WHERE_WIZARD, needsRestart = False, fnc=(6, runWizard)))
	list.append(PluginDescriptor(where = PluginDescriptor.WHERE_SESSIONSTART, fnc = autostart))
	return list